package com.dzeio.openhealth.ui.weight

import com.dzeio.openhealth.Settings
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.data.weight.WeightRepository
import com.dzeio.openhealth.units.UnitFactory
import com.dzeio.openhealth.utils.Configuration
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class WeightDialogViewModel @Inject internal constructor(
    private val weightRepository: WeightRepository,
    private val settings: Configuration
) : BaseViewModel() {

    private val _goalWeight = settings.getFloat(Settings.WEIGHT_GOAL)

    var weightUnit =
        UnitFactory.mass(settings.getString("weight_unit").value ?: "kilogram")

    val goalWeight = _goalWeight.toLiveData()

    fun setWeightGoal(value: Float?) {
        _goalWeight.value = value
    }
}
